Bug 1378765 (CVE-2016-7533) - CVE-2016-7533 ImageMagick: WPG file out-of-bounds write
Summary: CVE-2016-7533 ImageMagick: WPG file out-of-bounds write
Status: CLOSED WONTFIX
Alias: CVE-2016-7533
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160205,repor...
Keywords: Security
Depends On: 1378790
Blocks: 1378785
TreeView+ depends on / blocked
 
Reported: 2016-09-23 08:55 UTC by Adam Mariš
Modified: 2019-06-08 21:28 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-03 22:47:15 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-23 08:55:20 UTC
An error within the handling of specially crafted WPG files can result in a heap-based out-of-bounds write.

Bug report(s):

https://github.com/ImageMagick/ImageMagick/issues/120
https://bugs.launchpad.net/bugs/1542114

Upstream patch(es):

https://github.com/ImageMagick/ImageMagick/commit/bef1e4f637d8f665bc133a9c6d30df08d983bc3a

CVE assignment:

http://seclists.org/oss-sec/2016/q3/590

Comment 1 Adam Mariš 2016-09-23 09:36:04 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1378790]

Comment 3 Stefan Cornelius 2018-04-03 22:47:29 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.